namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "focus_punch")]
public class FocusPunchEffect : Script, IScriptOnIncomingHit
{
    public bool WasHit { get; private set; }

    /// <inheritdoc />
    public void OnIncomingHit(IExecutingMove move, IPokemon target, byte hit)
    {
        WasHit = true;
        target.BattleData?.Battle.EventHook.Invoke(new DialogEvent("focus_punch_lost_focus",
            new Dictionary<string, object>
            {
                { "pokemon", target },
            }));
    }
}